containerd-ctr-1.2.4-1.1.x86_64.rpm


Advertisement

Description

containerd-ctr - Client for containerd

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename containerd-ctr-1.2.4-1.1.x86_64.rpm
Package name containerd-ctr
Package version 1.2.4
Package release 1.1
Package architecture x86_64
Package type rpm
Category System/Management
Homepage https://containerd.tools
License Apache-2.0
Maintainer -
Download size 4.80 MB
Installed size 21.60 MB
Standalone client for containerd, which allows management of containerd containers
separately from Docker.

Alternatives

Package Version Architecture Repository
containerd-ctr-1.2.4-1.1.i586.rpm 1.2.4 i586 openSUSE Oss
containerd-ctr - - -

Requires

Name Value
containerd = 1.2.4
libc.so.6(GLIBC_2.3)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -

Provides

Name Value
containerd-ctr = 1.2.4-1.1
containerd-ctr(x86-64) = 1.2.4-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package containerd-ctr-1.2.4-1.1.x86_64.rpm
Source Package containerd-1.2.4-1.1.src.rpm

Install Howto

Install containerd-ctr rpm package:

# zypper install containerd-ctr

Files

Path
/usr/sbin/containerd-ctr
/usr/share/man/man1/containerd-ctr.1.gz
/usr/share/man/man1/ctr.1.gz

Changelog

2019-03-21 - Sascha Grunert <sgrunert@suse.com>
- Update containerd to v1.2.4
* cri: Set /etc/hostname
* cri: Fix env performance issue
* runc updated to 6635b4f0c6af3810594d2770f662f34ddc15b40d to solve
* CVE-2019-5736
* cri updated to da0c016c830b2ea97fd1d737c49a568a816bf964
* Windows: NewDirectIOFromFIFOSet
* Changelogs from previous versions also included in this update:
https://github.com/containerd/containerd/releases/tag/v1.2.3
2019-02-05 - Aleksa Sarai <asarai@suse.com>
- Update to containerd v1.2.2, which is required for Docker v18.09.1-ce.
bsc#1124308
* Fix rare deadlock on FIFO creation with timeout
* Fix a bug that a container can't be stopped or inspected when its
corresponding image is deleted
* Fix a bug that the cri plugin handles containerd events outside of
k8s.io namespace
more changes at:
https://github.com/containerd/containerd/releases/tag/v1.2.2
Changelogs from previous versions also included in this update:
https://github.com/containerd/containerd/releases/tag/v1.2.1
https://github.com/containerd/containerd/releases/tag/v1.2.0
https://github.com/containerd/containerd/releases/tag/v1.1.4
https://github.com/containerd/containerd/releases/tag/v1.1.3
- Remove required_dockerrunc commit pinning, as it just lead to issues.
- Remove upstreamed patches.
- 0001-docs-man-rename-config.toml-5-to-be-more-descriptive.patch
2019-01-11 - Sascha Grunert <sgrunert@suse.com>
- Disable leap based builds for kubic flavor. bsc#1121412
2018-12-20 - clee@suse.com
- Update go requirements to >= go1.10 to fix
* bsc#1118897 CVE-2018-16873
go#29230 cmd/go: remote command execution during "go get -u"
* bsc#1118898 CVE-2018-16874
go#29231 cmd/go: directory traversal in "go get" via curly braces in import paths
* bsc#1118899 CVE-2018-16875
go#29233 crypto/x509: CPU denial of service
2018-11-05 - Aleksa Sarai <asarai@suse.com>
- Add backport of https://github.com/containerd/containerd/pull/2764, which is
required for us to build containerd on i586 SLE-12 (where /bin/sh doesn't
like emoji in shell scripts). bsc#1102522 bsc#1113313
+ 0001-makefile-remove-emoji.patch
2018-08-22 - asarai@suse.com
- Upgrade to containerd v1.1.2, which is required for Docker v18.06.1-ce.
bsc#1102522
2018-08-16 - asarai@suse.com
- Merge -kubic packages back into the main Virtualization:containers packages.
This is done using _multibuild to add a "kubic" flavour, which is then used
to conditionally compile patches and other kubic-specific features.
bsc#1105000
2018-08-01 - asarai@suse.com
- Enable seccomp support on SLE12, since libseccomp is now a new enough vintage
to work with Docker and containerd. fate#325877
2018-07-25 - asarai@suse.com
- Update to containerd v1.1.1, which is the required version for the Docker
v18.06.0-ce upgrade. bsc#1102522
- Add backport of https://github.com/containerd/containerd/pull/2534 to make
the man page no longer pollute the global namespace.
+ 0001-docs-man-rename-config.toml-5-to-be-more-descriptive.patch
- Remove the following patch since it has already been merged upstream.
- bsc1065109-0001-makefile-add-support-for-build_flags.patch
- Remove systemd-related files and add docker-containerd-* symlinks; this
aligns with the upstream defaults where dockerd will execute
docker-containerd. Version upgrades of docker are expected to work more
smoothly as much of the upgrade logic is implemented in dockerd.
- Add containerd-rpmlintrc (or containerd-kubic-rpmlintrc) to deal with
/usr/src/containerd/* rpmlint errors (which don't affect normal users of this
package).
2018-06-13 - dcassany@suse.com
- Make use of %license macro

See Also

Package Description
containerd-kubic-1.2.4-1.1.i586.rpm Standalone OCI Container Daemon
containerd-kubic-1.2.4-1.1.x86_64.rpm Standalone OCI Container Daemon
containerd-kubic-ctr-1.2.4-1.1.i586.rpm Client for containerd-kubic
containerd-kubic-ctr-1.2.4-1.1.x86_64.rpm Client for containerd-kubic
containerd-kubic-test-1.2.4-1.1.noarch.rpm Test package for containerd
containerd-test-1.2.4-1.1.noarch.rpm Test package for containerd
contractor-0.3.4-1.2.i586.rpm A desktop-wide extension service
contractor-0.3.4-1.2.x86_64.rpm A desktop-wide extension service
converseen-0.9.7.2-1.2.i586.rpm Batch Image Conversion Tool
converseen-0.9.7.2-1.2.x86_64.rpm Batch Image Conversion Tool
converseen-lang-0.9.7.2-1.2.noarch.rpm Translations for package converseen
convmv-2.05-2.2.noarch.rpm Utility to convert file names between encodings
cookiecutter-1.6.0-2.2.noarch.rpm A command-line utility that creates projects from project templates
cookiecutter-doc-1.6.0-2.2.noarch.rpm Documentation files for cookiecutter
cool-retro-term-1.1.1-2.1.i586.rpm Terminal emulator which mimics old screens
Advertisement
Advertisement